# Upload ID Document File Uploads a file and attaches it to an ID document (passport, ID card, visa and similar) of a staff member. The reference is the FL3XX ID or externalReference of the staff member. userCardId is the numeric FL3XX ID of the ID document. The ID document must exist, must not be deleted and must belong to that staff member. 🔒 Required permission: STAFF_ID_DOCUMENT_API:write Endpoint: POST /api/external/staff/{reference}/id-cards/{userCardId}/documents Version: 1.8.0 Security: API_AUTHENTICATION ## Path parameters: - `reference` (string, required) FL3XX ID or externalReference of the staff member - `userCardId` (string, required) FL3XX ID of the ID document ## Request fields (multipart/form-data): - `file` (string, required) ## Response 200 fields (application/json): - `id` (integer) Document ID Example: 66325 - `uuid` (string) Document UUID Example: "2342343423423423423ASS32" - `originalName` (string) Original name of the document Example: "fil3.pdf" - `fileSize` (integer) File size Example: 652154 - `creationDate` (string) Date created Example: "2024-11-27T16:56:40Z" ## Response 400 fields (application/json): - `title` (string) Example: "not_found" - `message` (string) Example: "Resource [12345] not found" - `errors` (array) ## Response 401 fields (application/json): - `title` (string) Example: "not_found" - `message` (string) Example: "Resource [12345] not found" - `errors` (array) ## Response 403 fields (application/json): - `title` (string) Example: "not_found" - `message` (string) Example: "Resource [12345] not found" - `errors` (array) ## Response 404 fields (application/json): - `title` (string) Example: "not_found" - `message` (string) Example: "Resource [12345] not found" - `errors` (array) ## Response 500 fields (application/json): - `title` (string) Example: "not_found" - `message` (string) Example: "Resource [12345] not found" - `errors` (array)